package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.StorageSyncedSetModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface SyncedSetProvider extends SuperProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "need implements");
    }

    default BocloudResult listByStorage(String storageUuid) {
        return new BocloudResult(false, "need implements");
    }

    default public BocloudResult create(StorageSyncedSetModel model) {
        return new BocloudResult(false, "need implements");
    }

    default public BocloudResult modify(StorageSyncedSetModel model) {
        return new BocloudResult(false, "need implements");
    }

    default public BocloudResult remove(StorageSyncedSetModel model) {
        return new BocloudResult(false, "need implements");
    }

    default public BocloudResult start(StorageSyncedSetModel model) {
        return new BocloudResult(false, "need implements");
    }

    default public BocloudResult stop(StorageSyncedSetModel model) {
        return new BocloudResult(false, "need implements");
    }

    default public BocloudResult detail(StorageSyncedSetModel model) {
        return new BocloudResult(false, "need implements");
    }

    default BocloudResult addVolume(StorageSyncedSetModel syncedSetModel) {
        return new BocloudResult(false, "need implements");
    }

    default BocloudResult removeVolume(StorageSyncedSetModel syncedSetModel) {
        return new BocloudResult(false, "need implements");
    }
}
